To end all discussion about madworlds black screen ect.

Discussion in 'Wii - Hacking' started by WalkerD, Mar 12, 2009.

  1. WalkerD
    OP

    WalkerD GBAtemp Regular

    Member
    192
    3
    Oct 1, 2008
    Canada
    All you have to do to get it running is update off the disc, it doesn't update past system menu 3.1 and only installs the three IOS's required to play. I've already done the update on my wii 3.2U, preloader, and cioscorp installed and everything still works fine. wad installation, regionfree, the works. So really all this worry was for nothing.

    So stop making topics about it!
     


  2. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    Take a look at the IOS wads on the disc. If there are IOS 1042, this update kills trucha at least partly.

    And this is not an option for non NTSC-U users.
     
  3. mcjones92

    mcjones92 Kingpin

    Member
    407
    0
    Jul 7, 2008
    United States
    In the ghetto
    If I don't give a shit about homebrew games or Trucha, does it hurt a Wiikey 2 modded Wii?
     
  4. tj_cool

    tj_cool Site dev

    Supervisor
    9,985
    -1
    Jan 7, 2009
    Belgium
    This planet
    Is there anything that CAN harm a modded wii?
     
  5. mcjones92

    mcjones92 Kingpin

    Member
    407
    0
    Jul 7, 2008
    United States
    In the ghetto
    Not yet? But it's always good to check.
     
  6. ether2802

    ether2802 we have the techno...!!

    Former Staff
    4,350
    5
    Oct 14, 2007
    Mexico
    Pto. Vallarta
    Ok the I droped the .iso into IOSVersion_Patcher and it says 53 so only IOS53 is needed to run this title and inside the update partition is this:


    [​IMG]
     
  7. jservs7

    jservs7 GBAtemp Advanced Fan

    Member
    891
    6
    May 14, 2008
    I have a Wiikey 1 and 3.2U Wii. All I did was extract IOS 38, 53 & 55 and everything works fine with Trucha signed discs still working. I did remove the update from the MadWorld backup I made and I also installed Waninkoko's latest cIOS36 Rev08 when it came out.
     
  8. gisel213

    gisel213 GBAtemp Fan

    Member
    416
    6
    Aug 2, 2007
    United States
    Delaware
    wow people learn how to use tools like trucha and generic wii patcher for 002 fix the main dol in partition 2
    replace it and get it over with not that hard to do... and thanks wiipower for replying about that solitaire
    game in the other forum post.....
     
  9. jeremiz

    jeremiz Advanced Member

    Newcomer
    70
    1
    May 24, 2007
    France
    Well, maybe this DOESN'T work for everyone?
    I got a PAL Wii 3.2E with Wiikey 1.9s, installed all IOS needed, patched the main.dol with trucha signer to remove the 002 Error, brickblocked and regionfrii'ed the game, and guess what? The game STILL Don't launch in the Disc Channel! " An error as occured, please eject the disc and turn off your wii, blahblah" (no error number shown).
    BUT, the game run fine when I launch it trough Gecko OS 002fixed version.

    ---> Any way in my case to launch it directly trough the disc channel?
     
  10. BIG MOE

    BIG MOE ๔*๖ LORD BIG MOE ™

    Member
    1,253
    0
    Oct 19, 2008
    Syria
    Wiiland Hills
    you guys kill me with all the greed that flows around , if you rewind your memory to 6 months ago , everyone where so happy with homebrew games through the HBC and the leaked loader shows up with the long wait and crappy videos and guess what you guts went nuts for it and never mind the wait [​IMG] the beta shows up with some issues still and it was a WoW [​IMG] and finally Gamma and it's a %99 perfection and all games with some exceptions are playable , now you bunch of greedy suckers wanna run the games through disc channel only and waste the forum threads over one game that didn't run through the DC but it runs with Gamma Channel , come on guys stop being so pathetic and waste our time for no reasons [​IMG] if it didn't run at all for you then will work with it but if it run with this but not that , it's your problem STFU and play you game [​IMG]
    PS : as ether said you only need IOS53 to run this one , so here you go and be happy I guess hahahaha [​IMG]
     
  11. sgwiiboy

    sgwiiboy GBAtemp Regular

    Member
    140
    0
    Nov 5, 2008
    I agree, I remember waiting ages for Sonic & Mario Olympics to load in between events. I am happy to be able to run the game and it makes no difference to me how or what I use to load it.
     
  12. ether2802

    ether2802 we have the techno...!!

    Former Staff
    4,350
    5
    Oct 14, 2007
    Mexico
    Pto. Vallarta
    YES IT DOES WORK FOR EVERYBODY install IOS53 and use a 1:1 non-BB or GWP1.2 used in the main.dol cause that would be like using a fake signed disc, and IOS53 is already trucha bug free, so unless you install cIOS53 from CIOScorp_v1, you can load trucha signed discs that use IOS53, got it..??
     
  13. TyrianCubed

    TyrianCubed Gamer 1989 to present

    Member
    1,138
    0
    Oct 26, 2003
    Italy
    Italy
    well, I have preordered my pal version and hopefully I'll receive it soon after the release of the game.
    If installing IOS53 doesn't hurt homebrew, backup launcher and wad installation I'll just take the IOS from the disc and install it, then play my legit game happily [​IMG]
     
  14. jeremiz

    jeremiz Advanced Member

    Newcomer
    70
    1
    May 24, 2007
    France
    So If I understand you well, since I said I installed all ios needed, that include IOS53, I should be able to play it even if I trucha signed it, right? The last few words in bold say so.
    No More Heroes and SSBB are trucha signed and works.
    I trucha signed the main.dol of MadWorld, and I still get the error (An error occurred, please remove the disc blahblah....)in the disc channel. Which options are left to me in order to make it playable trough the disc channel?
     
  15. WiiPower

    WiiPower GBAtemp Guru

    Member
    8,165
    72
    Oct 17, 2008
    Gambia, The
    If you need to patch the game for some reason AND you need to play the game from the disc channel you need to run it with a trucha capable IOS. You can achieve this either by patching trucha into IOS53(cioscorp IOS53 or use freethebug or whatever it's called) and you can IOS Version patch the game to an IOS that has the trucha bug. If the rest of your IOS is at 3.2, you could try IOS36.
     
  16. kimikal27

    kimikal27 GBAtemp Maniac

    Member
    1,381
    0
    Oct 28, 2008
    Galway
    can someone PM me ios53?
    please
    i dont find it safe to just google for it...
     
  17. jeremiz

    jeremiz Advanced Member

    Newcomer
    70
    1
    May 24, 2007
    France
  18. kimikal27

    kimikal27 GBAtemp Maniac

    Member
    1,381
    0
    Oct 28, 2008
    Galway
    read my post again...
    i know how to use google
     
  19. jeremiz

    jeremiz Advanced Member

    Newcomer
    70
    1
    May 24, 2007
    France
    There is nothing unsafe on the second link that appears on google.
     
  20. Snave2008

    Snave2008 GBAtemp Regular

    Member
    187
    0
    Nov 14, 2008
    Cardiff
    Is it just the CIOS53BUGFIX.wad? I've had that installed for a while but I'm still getting black screen on PAL. Is there a new version of it that I need?

    Awesome game by the way, on the 4th level and I'm absolutely loving it.